Subject: Re: [PATCH RFC]: e1000: allow VLAN devices to use TSO and CSUM offload

From: Patrick McHardy <[email-masked]>
Date: Sat, 11 Oct 2008 16:35:50 +0200

Brandeburg, Jesse wrote:
>> These parts should all work (at least as advertised in the software
>> reference manual available at
>>
> http://superb-east.dl.sourceforge.net/sourceforge/e1000/OpenSDM_8254x-37
> .pdf)
>> with the exception of 82544 GC/EI
>>
>> So as it stands your patch will not work on some hardware.  Also,
>> would we need to hook the ethtool methods such that if a user
>> disables TSO it will disable vlan_features(TSO) as well?  
> 
> Oh, and the 82542 and 82543 based parts don't do this either, they
> aren't covered by the manual above.

Thanks for the pointer (and for pushing the patch already).